|  | reflex::AbstractMatcher::Const Struct Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
reflex::AbstractMatcher::Const Struct Reference

AbstractMatcher::Const common constants. More...

`#include <absmatcher.h>`

## Static Public Attributes
static const Method | SCAN = 0
| AbstractMatcher::match method is to scan input (tokenizer) More...
static const Method | FIND = 1
| AbstractMatcher::match method is to find pattern in input. More...
static const Method | SPLIT = 2
| AbstractMatcher::match method is to split input at pattern matches. More...
static const Method | MATCH = 3
| AbstractMatcher::match method is to match the entire input. More...
static const int | NUL = '\0'
| NUL string terminator. More...
static const int | UNK = 256
| unknown meta-char marker More...
static const int | BOB = 257
| begin of buffer meta-char marker More...
static const int | EOB = EOF
| end of buffer meta-char marker More...
static const size_t | EMPTY = 0xffff
| accept() returns empty last split at end of input More...
static const size_t | BLOCK = 4096
| buffer growth factor, buffer is initially 2*BLOCK size More...

## Detailed Description

AbstractMatcher::Const common constants.

## Member Data Documentation

const size_t reflex::AbstractMatcher::Const::BLOCK = 4096
| static

buffer growth factor, buffer is initially 2*BLOCK size

const int reflex::AbstractMatcher::Const::BOB = 257
| static

begin of buffer meta-char marker

const size_t reflex::AbstractMatcher::Const::EMPTY = 0xffff
| static

accept() returns empty last split at end of input

const int reflex::AbstractMatcher::Const::EOB = EOF
| static

end of buffer meta-char marker

const Method reflex::AbstractMatcher::Const::FIND = 1
| static

AbstractMatcher::match method is to find pattern in input.

const Method reflex::AbstractMatcher::Const::MATCH = 3
| static

AbstractMatcher::match method is to match the entire input.

const int reflex::AbstractMatcher::Const::NUL = '\0'
| static

NUL string terminator.

const Method reflex::AbstractMatcher::Const::SCAN = 0
| static

AbstractMatcher::match method is to scan input (tokenizer)

const Method reflex::AbstractMatcher::Const::SPLIT = 2
| static

AbstractMatcher::match method is to split input at pattern matches.

const int reflex::AbstractMatcher::Const::UNK = 256
| static

unknown meta-char marker

The documentation for this struct was generated from the following file:

- absmatcher.h